| bio-0.4.6: A bioinformatics library | Source code | Contents | Index

Bio.Alignment.Multiple

Description
Multiple alignments.
Synopsis

progressive :: (Sequence a -> Sequence a -> (Double, EditList)) -> [Sequence a] -> [String]
indirect :: EditList -> EditList -> EditList

Documentation

progressive :: (Sequence a -> Sequence a -> (Double, EditList)) -> [Sequence a] -> [String] | Source

Progressive multiple alignment. Calculate a tree from agglomerative clustering, then align at each branch going bottom up. Returns a list of columns (rows?).

indirect :: EditList -> EditList -> EditList | Source

Derive alignments indirectly, i.e. calculate A|C using alignments A|B and B|C. This is central for Coffee evaluation of alignments, and T-Coffee construction of alignments.
Produced by Haddock version 2.4.2